require 'facets/core/kernel/require_esc'

module Kernel

  private

  # Just like #require_esc excapt that
  # it provides the initial 'facets/core/' path.
  #
  #   require_facet 'string/capitalized?'
  #
  # _is the same as_
  #
  #   require_esc 'facets/core/string/capitalized?'
  #
  def require_facet( fpath )
    require_esc( "facets/core/#{fpath}" )
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_require_facet
      assert_nothing_raised { require_facet 'string/margin' }
      assert( "".respond_to?( :margin ) )
    end

  end

=end
